Package com.independentsoft.office.diagrams

# Class Style

java.lang.Object
com.independentsoft.office.diagrams.Style

public class Style extends Object
The Class Style.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Style()`
  Instantiates a new style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Style`
  `clone()`
  `List<Category>`
  `getCategories()`
  Gets the categories.
  `List<Description>`
  `getDescriptions()`
  Gets the descriptions.
  `String`
  `getMinimumVersion()`
  Gets the minimum version.
  `Scene3D`
  `getScene3D()`
  Gets the scene3 d.
  `List<StyleLabel>`
  `getStyleLabels()`
  Gets the style labels.
  `List<Title>`
  `getTitles()`
  Gets the titles.
  `String`
  `getUniqueID()`
  Gets the unique id.
  `void`
  `setMinimumVersion​(String minimumVersion)`
  Sets the minimum version.
  `void`
  `setScene3D​(Scene3D scene3d)`
  Sets the scene3 d.
  `void`
  `setUniqueID​(String uniqueID)`
  Sets the unique id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Style

    public Style()
    Instantiates a new style.

- ## Method Details

  - ### clone

    public Style clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCategories

    public List<Category> getCategories()
    Gets the categories.
    Returns:
      the categories

  - ### getStyleLabels

    public List<StyleLabel> getStyleLabels()
    Gets the style labels.
    Returns:
      the style labels

  - ### getDescriptions

    public List<Description> getDescriptions()
    Gets the descriptions.
    Returns:
      the descriptions

  - ### getTitles

    public List<Title> getTitles()
    Gets the titles.
    Returns:
      the titles

  - ### getScene3D

    public Scene3D getScene3D()
    Gets the scene3 d.
    Returns:
      the scene3 d

  - ### setScene3D

    public void setScene3D​(Scene3D scene3d)
    Sets the scene3 d.
    Parameters:
      `scene3d` - the new scene3 d

  - ### getMinimumVersion

    public String getMinimumVersion()
    Gets the minimum version.
    Returns:
      the minimum version

  - ### setMinimumVersion

    public void setMinimumVersion​(String minimumVersion)
    Sets the minimum version.
    Parameters:
      `minimumVersion` - the new minimum version

  - ### getUniqueID

    public String getUniqueID()
    Gets the unique id.
    Returns:
      the unique id

  - ### setUniqueID

    public void setUniqueID​(String uniqueID)
    Sets the unique id.
    Parameters:
      `uniqueID` - the new unique id